| Home | Libraries | People | FAQ | More

##### http::to_status_class (1 of 2 overloads)

Convert an integer to a status_class.

###### Synopsis

Defined in header `<boost/beast/http/status.hpp>`

    status_class
    to_status_class(
        unsigned v);

###### Description

###### Parameters

Name | Description
--- | ---
`v` | The integer representing a status code.

###### Return Value

The status class. If the integer does not match a known status class, `http::unknown` is returned.

Convenience header `<boost/beast/http.hpp>`